
data {
   
   int<lower=0> n;
   vector[n] y;
   vector[n] y_dense;
   real mu_m;
   real<lower=0> mu_s;
   real<lower=0> sig_p1;
   real<lower=0> sig_p2;
   real<lower=0> w;
}

parameters 
{
   
real mu;
real<lower=0> sigma;
real<lower =0> df;

}

model {

mu ~ normal(mu_m,mu_s);
sigma ~ gamma(sig_p1,sig_p2);
for(i in 1:n){
  y[i]~student_t(df,mu,sigma);
}
}

generated quantities {
 real y_predict;
 y_predict = student_t_rng(df,mu,sigma);

}
